package mygame;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.BasicGame;
import org.newdawn.slick.Color;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Image;
import org.newdawn.slick.Input;
import org.newdawn.slick.SlickException;

/**
スプライトを動かしてみる。
@author フラチキさん
*/
public class MyGame03 extends BasicGame {
	// スプライトの画像
	private Image sprite;

	// スプライトの座標
	int x;
	int y;

	// スプライトの移動速度
	int speed = 10;

	/**
	コンストラクタ
	*/
	public MyGame03() {
		super("MyGame03");
	}

	/**
	最初に一回だけ実行される初期化。
	*/
	public void init(GameContainer container) throws SlickException {
		container.getGraphics().setBackground(new Color(0.4f,0.6f,0.6f));

		// ファイルからスプライト画像を読み込む。
		sprite = new Image("mygame/f15.png");
	}

	/**
	毎フレーム実行される描画。
	*/
	public void render(GameContainer container, Graphics g) {
		// スプライトを表示する。
		sprite.draw(x, y);
	}

	/**
	毎フレーム実行される更新。
	*/
	public void update(GameContainer container, int delta) {
		// カーソルキーが押されていたらスプライトの表示座標を移動する。
		// 入力状態を調べる機能を参照。
		Input input = container.getInput();

		// 左へ
		if (input.isKeyDown(Input.KEY_LEFT)) {
			x = x - speed;
		}
		// 右へ
		if (input.isKeyDown(Input.KEY_RIGHT)) {
			x = x + speed;
		}
		// 上へ
		if (input.isKeyDown(Input.KEY_UP)) {
			y = y - speed;
		}
		// 下へ
		if (input.isKeyDown(Input.KEY_DOWN)) {
			y = y + speed;
		}
	}

	/**
	プログラムはここから実行される。
	@param argv プログラムの起動時に渡されたコマンドライン引数。
	*/
	public static void main(String[] argv) {
		try {
			AppGameContainer container = new AppGameContainer(new MyGame03());
			// 画面を縦長(600x800)に設定する。
			container.setDisplayMode(600,800,false);
			// 画面のアニメーションコマ数を秒間60回に固定する。
			container.setTargetFrameRate(60);
			// 画面を表示してアニメーションを開始する。
			container.start();
		} catch (SlickException e) {
			e.printStackTrace();
		}
	}
}
